BEGIN { RS="==========================================";
  FS="\n" ;
  debug= 0;  #  1 = True 
}
{    if ( $2 ~ / sne-delay/ ) {
    if (debug) print "Matching SNE delay"
    rewQuery= $2;	 
    gsub( /^.*sne-delay\(/ , "" , rewQuery );
    gsub( /\) *./ , "" , rewQuery );
    gsub( /'/ , "", rewQuery );
    aPath = rewQuery ; 
    delay= $4; 
    gsub( /result .*:/ , "" , delay );    
    gsub( /\. / , "" , delay ); 
    SneDelay[ aPath ] = delay  ; 
    if (debug) if (debug) print "sne-delay[" aPath "]=" SneDelay[ aPath ] ; 
  } 
  if ( $2 ~ / float\(sne-delay/ ) {
    if (debug) print "Matching float SNE delay"
    rewQuery= $2;	 
    gsub( /^.*float\(sne-delay\(/ , "" , rewQuery );
    gsub( /\)\) *./ , "" , rewQuery );
    gsub( /'/ , "", rewQuery );
    aPath = rewQuery ;
    delay= $4;
    gsub( /result .*:/ , "" , delay );   
    gsub( /\. / , "" , delay );
    SneDelayFloat[ aPath ] = delay  ;
    if (debug) print "sne-delay-float[" aPath "]=" SneDelayFloat[ aPath ] ;
  }

  if ( $2 ~ / delay\(/ ){
    if (debug) print "Matching DELAY" ;
    rewQuery= $2;	 
    gsub( /^.*delay\(/ , "" , rewQuery );
    gsub( /\) *./ , "" , rewQuery );
    gsub( /'/ , "", rewQuery );
    split( rewQuery , tmp , "," );
    aVL= tmp[1] ;
    aPath= tmp[2] ;
    delay= $4;
    gsub( /result .*:/ , "" , delay );   
    gsub( /\. / , "" , delay );
    Delay[ aVL , aPath] = delay;
    if (debug) print "delay[" aVL "," aPath "] =" Delay[ aVL , aPath] ;
  }

  if ( $2 ~ / float\(delay\(/ ){
    if (debug) print "Matching float DELAY" ;
    rewQuery= $2;	 
    gsub( /^.*float\(delay\(/ , "" , rewQuery );
    gsub( /\)\) *./ , "" , rewQuery );
    gsub( /'/ , "", rewQuery );
    split( rewQuery , tmp , "," );
    aVL= tmp[1] ;
    aPath= tmp[2] ;
    delay= $4;
    gsub( /result .*:/ , "" , delay );   
    gsub( /\. / , "" , delay );
    DelayFloat[ aVL , aPath] = delay;
    if (debug) print "delay-float[" aVL "," aPath "] =" DelayFloat[ aVL , aPath] ;
  }

  if ( $2 ~ / g-sne-delay\(/ ){
    if (debug) print "Matching G-SNE-DELAY" ;
    rewQuery= $2;	 
    gsub( /^.*g-sne-delay\(/ , "" , rewQuery );
    gsub( /\) *./ , "" , rewQuery );
    gsub( /'/ , "", rewQuery );
    aPath = rewQuery ; 
    delay= $4;
    gsub( /result .*:/ , "" , delay );   
    gsub( /\. / , "" , delay );
    GSneDelay[ aPath] = delay;
    if (debug) print "g-sne-delay["  aPath "] =" GSneDelay[  aPath] ;
  }

  if ( $2 ~ / float\(g-sne-delay\(/ ){
    if (debug) print "Matching float G-SNE-DELAY" ;
    rewQuery= $2;	 
    gsub( /^.*float\(g-sne-delay\(/ , "" , rewQuery );
    gsub( /\)\) *./ , "" , rewQuery );
    gsub( /'/ , "", rewQuery );
    aPath = rewQuery;
    delay= $4;
    gsub( /result .*:/ , "" , delay );   
    gsub( /\. / , "" , delay );
    GSneDelayFloat[  aPath] = delay;
    if (debug) print "g-delay-float[" aPath "] =" GSneDelayFloat[ aPath] ;
  }

  if ( $2 ~ / cpl-gamma-lub-delay\(/ ){
    if (debug) print "Matching CPL-GAMMA-LUB-DELAY" ;
    rewQuery= $2;	 
    gsub( /^.*cpl-gamma-lub-delay\(/ , "" , rewQuery );
    gsub( /\) *./ , "" , rewQuery );
    gsub( /'/ , "", rewQuery );
    split( rewQuery , tmp , "," );
    aVL= tmp[1] ;
    aPath= tmp[2] ;
    delay= $4;
    gsub( /result .*:/ , "" , delay );   
    gsub( /\. / , "" , delay );
    CplGammaLubDelay[ aVL , aPath] = delay;
    if (debug) print "cpl-gamma-lub-delay[" aVL "," aPath "] =" CplGammaLubDelay[ aVL , aPath] ;
  }

  if ( $2 ~ / float\(cpl-gamma-lub-delay\(/ ){
    if (debug) print "Matching float CPL-GAMMA-LUB-DELAY" ;
    rewQuery= $2;	 
    gsub( /^.*float\(cpl-gamma-lub-delay\(/ , "" , rewQuery );
    gsub( /\)\) *./ , "" , rewQuery );
    gsub( /'/ , "", rewQuery );
    split( rewQuery , tmp , "," );
    aVL= tmp[1] ;
    aPath= tmp[2] ;
    delay= $4;
    gsub( /result .*:/ , "" , delay );   
    gsub( /\. / , "" , delay );
    CplGammaLubDelayFloat[ aVL , aPath] = delay;
    if (debug) print "g-delay-float[" aVL "," aPath "] =" CplGammaLubDelayFloat[ aVL , aPath] ;
  }

}

END {
  print "VL      , Path     , SNE-DELAY , DELAY , G-SNE-DELAY , CPL-G-LUB ";
  for ( item in Delay){
    split(item, tmp, SUBSEP );
    aVL= tmp[1] ;
    aPath= tmp[2] ;
    print aVL "," aPath "," SneDelayFloat[ aPath ] "," DelayFloat[item] \
      "," GSneDelayFloat[aPath] "," CplGammaLubDelayFloat[item] ;
  }
}
